curl --request POST \
--url https://api.mottostreaming.com/streaming/vods/v2 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"project_id": "<string>",
"localized_title": {},
"asset_id": "<string>",
"external_asset_url": "<string>"
}
'import requests
url = "https://api.mottostreaming.com/streaming/vods/v2"
payload = {
"name": "<string>",
"project_id": "<string>",
"localized_title": {},
"asset_id": "<string>",
"external_asset_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
project_id: '<string>',
localized_title: {},
asset_id: '<string>',
external_asset_url: '<string>'
})
};
fetch('https://api.mottostreaming.com/streaming/vods/v2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"vod": {
"name": "<string>",
"id": "<string>",
"project_id": "<string>",
"localized_title": {},
"region": "REGION_UNSPECIFIED",
"video_id": "<string>",
"state": "STATE_UNSPECIFIED",
"asset_id": "<string>",
"external_asset_url": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Create vod
CreateVideo
Creates a new video and starts the process. The video will be available for streaming once the process is complete.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The name of the video. This is a canonical name that is independent of locales, and is primarily meant for internal
purposes (e.g. a name for tracking in analytics). For end-user facing purposes, use localized_title.
Required if providing external_asset_url as input
A map of localized titles for this stream, for end users to see. The key is the language code (ISO 639 - set 1), e.g. "en", "de", "fr", etc. If you want to localize the text for different regions of the same language, you can add the country code (ISO 3166-1 alpha-2), e.g. "en-US", "en-GB", etc.
If this is not provided, fallback to name.
Show child attributes
Show child attributes
Required if providing external_asset_url as input
REGION_UNSPECIFIED, REGION_AF, REGION_AS, REGION_EU, REGION_NA, REGION_OC, REGION_SA Recommended. A Motto asset ID of an uploaded file (e.g. mp4).
Important: at most one of asset_id, external_asset_url may be set per request.
BETA FEATURE, NOT GENERALLY AVAILABLE YET.
If you are not able to upload a static asset to Motto, you can provide a URL to an external video resource (e.g. HLS or DASH). Motto will then attempt to retrieve this resource directly from the public internet.
Important: at most one of asset_id, external_asset_url may be set per request.
Response
OK
CreateVideoResponse is the response message for CreateVideo.
The created video.
Show child attributes
Show child attributes

